> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.0x.org/llms.txt.
> For full documentation content, see https://docs.0x.org/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.0x.org/_mcp/server.

# streamQuotes

GET https://api.0x.org/cross-chain/quotes/stream

Stream cross-chain quotes as they become available

Reference: https://docs.0x.org/api-reference/cross-chain-ap-is/cross-chain/cross-chain-stream-quotes

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cross-chain
  version: 1.0.0
paths:
  /cross-chain/quotes/stream:
    get:
      operationId: cross-chain-stream-quotes
      summary: streamQuotes
      description: Stream cross-chain quotes as they become available
      tags:
        - subpackage_crossChain
      parameters:
        - name: originChain
          in: query
          description: >-
            The source chain from which the cross-chain swap will originate. Can
            be specified as chain ID or name. See
            [here](https://0x-docs.gitbook.io/0x-cross-chain-api-beta/developer-resources/supported-chains-and-providers)
            for the list of supported chains
          required: true
          schema:
            type: string
        - name: destinationChain
          in: query
          description: >-
            The destination chain where tokens will be received after the
            cross-chain swap. Can be specified as chain ID or name. See
            [here](https://0x-docs.gitbook.io/0x-cross-chain-api-beta/developer-resources/supported-chains-and-providers)
            for the list of supported chains
          required: true
          schema:
            type: string
        - name: sellToken
          in: query
          description: >-
            The contract address of the token to sell on the origin chain.
            Format varies by chain type (EVM address for EVM/HyperCore chains,
            token mint address for Solana, base58check address for Tron)
          required: true
          schema:
            type: string
        - name: buyToken
          in: query
          description: >-
            The contract address of the token to buy on the destination chain.
            Format varies by chain type (EVM address for EVM/HyperCore chains,
            token mint address for Solana, base58check address for Tron)
          required: true
          schema:
            type: string
        - name: sellAmount
          in: query
          description: >-
            The amount of `sellToken` (in `sellToken`'s base units) to sell on
            the origin chain
          required: true
          schema:
            type: string
        - name: originAddress
          in: query
          description: >-
            The wallet address on the origin chain that holds the sellToken
            balance and will initiate the cross-chain transaction
          required: true
          schema:
            type: string
        - name: destinationAddress
          in: query
          description: >-
            The wallet address on the destination chain that will receive the
            buyToken. If not specified, defaults to originAddress on the
            destination chain
          required: false
          schema:
            type: string
        - name: gasPayer
          in: query
          description: >-
            The Solana address that will pay for transaction fees when the
            origin chain is Solana. Only applicable for Solana origin chains
          required: false
          schema:
            type: string
        - name: slippageBps
          in: query
          description: >-
            The maximum acceptable slippage for each swap or bridge step of the
            cross-chain swap in basis points (100 = 1%)
          required: false
          schema:
            type: integer
            default: 100
        - name: excludedBridges
          in: query
          description: Comma-separated list of bridge providers to exclude from routing
          required: false
          schema:
            type: string
        - name: includedBridges
          in: query
          description: >-
            Comma-separated list of bridge providers to include in routing.
            Mutually exclusive with excludedBridges
          required: false
          schema:
            type: string
        - name: excludedSwapSources
          in: query
          description: >-
            Comma-separated list of DEX sources to exclude from routing on both
            chains
          required: false
          schema:
            type: string
        - name: feeBps
          in: query
          description: >-
            The trading fee amounts in basis points to charge on the origin
            chain (supports single or comma-separated values). Must be used
            together with feeRecipient. When multiple values are provided, must
            match the length of feeRecipient. Note: integrator fee collection is
            not yet supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: feeRecipient
          in: query
          description: >-
            The wallet addresses to receive trading fees on the origin chain
            (supports single or comma-separated values). Must be used together
            with feeBps. When multiple values are provided, must match the
            length of feeBps. Note: integrator fee collection is not yet
            supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: feeToken
          in: query
          description: >-
            The token addresses for fee collection on the origin chain (supports
            single or comma-separated values). Must be the same as sellToken.
            When multiple values are provided, must match the length of feeBps.
            If omitted, defaults to sellToken. Note: integrator fee collection
            is not yet supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: maxNumQuotes
          in: query
          description: >-
            The maximum number of cross-chain quotes to return, between 1 and
            10. Each quote represents a different combination of bridges and
            DEXs
          required: false
          schema:
            type: integer
            default: 5
        - name: 0x-api-key
          in: header
          description: Visit dashboard.0x.org to get your API Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Cross-Chain_crossChain::streamQuotes_Response_200
        '400':
          description: 400 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::streamQuotesRequestBadRequestError
        '500':
          description: 500 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::streamQuotesRequestInternalServerError
servers:
  - url: https://api.0x.org
components:
  schemas:
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Type:
      type: string
      enum:
        - quote
      description: Event type indicating a new quote has been found
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the integrator collected a
        fee
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The amount of the integrator fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeToken
          description: >-
            The contract address of the token in which the integrator collected
            a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeeType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
        chainId:
          type: number
          format: double
          description: The chain ID where this fee will be collected
      required:
        - amount
        - token
        - type
      description: The details about the first fee collected by the integrator
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFee
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the integrator collected a
        fee
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItems:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The amount of the integrator fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsToken
          description: >-
            The contract address of the token in which the integrator collected
            a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItemsType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
        chainId:
          type: number
          format: double
          description: The chain ID where this fee will be collected
      required:
        - amount
        - token
        - type
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItems
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeToken:
      oneOf:
        - type: string
        - type: string
      description: The contract address of the token in which 0x collected a fee
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The 0x fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeToken
          description: The contract address of the token in which 0x collected a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFeeType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
      required:
        - amount
        - token
        - type
      description: The details about the fee collected by 0x
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFee
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the token in which the bridge fee is collected
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeType:
      type: string
      enum:
        - native
      description: The fee type indicating it is a native bridge fee
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: >-
            The bridge fee amount in token's base units that will be added to
            the transaction value
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeToken
          description: >-
            The contract address of the token in which the bridge fee is
            collected
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFeeType
          description: The fee type indicating it is a native bridge fee
      required:
        - amount
        - token
        - type
      description: >-
        Native fee required by the bridge provider for cross-chain message
        passing that will be added to the transaction value
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFee
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFeeToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the reimbursement fee is
        collected
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFeeToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The reimbursement fee amount in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFeeToken
          description: >-
            The contract address of the token in which the reimbursement fee is
            collected
        recipient:
          type: string
          description: The wallet address that receives the reimbursement fee
      required:
        - amount
        - token
        - recipient
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFee
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFees:
      type: object
      properties:
        integratorFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFee
            - type: 'null'
          description: The details about the first fee collected by the integrator
        integratorFees:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesIntegratorFeesItems
          description: The details about the fees collected by the integrator
        zeroExFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesZeroExFee
            - type: 'null'
          description: The details about the fee collected by 0x
        bridgeNativeFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesBridgeNativeFee
            - type: 'null'
          description: >-
            Native fee required by the bridge provider for cross-chain message
            passing that will be added to the transaction value
        reimbursementFee:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFeesReimbursementFee
      required:
        - integratorFee
        - integratorFees
        - zeroExFee
        - bridgeNativeFee
      description: >-
        All fees associated with this cross-chain quote, including integrator
        fees, 0x protocol fees, and bridge native fees
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFees
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0ChainType:
      type: string
      enum:
        - evm
      description: The blockchain type for Ethereum-compatible chains
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0GasPrice:
      type: object
      properties: {}
      description: The gas price in wei used for cost estimation
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0GasPrice
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0TotalNetworkFee:
      type: object
      properties: {}
      description: >-
        The estimated total network cost of the swap. On chains where there is
        no L1 data cost, it is calculated as `gas` * `gasPrice`. On chains where
        there is an L1 data cost, it is calculated as `gas` * `gasPrice + L1
        data`
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0TotalNetworkFee
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts0:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0ChainType
          description: The blockchain type for Ethereum-compatible chains
        gasPrice:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0GasPrice
            - type: 'null'
          description: The gas price in wei used for cost estimation
        gasLimit:
          type: string
          format: int64
          description: The estimated gas limit required for successful execution
        totalNetworkFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf0TotalNetworkFee
            - type: 'null'
          description: >-
            The estimated total network cost of the swap. On chains where there
            is no L1 data cost, it is calculated as `gas` * `gasPrice`. On
            chains where there is an L1 data cost, it is calculated as `gas` *
            `gasPrice + L1 data`
      required:
        - chainType
        - gasPrice
        - gasLimit
        - totalNetworkFee
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts0
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1ChainType:
      type: string
      enum:
        - svm
      description: The blockchain type for Solana Virtual Machine
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1Priority:
      type: object
      properties: {}
      description: The priority fee in lamports for faster transaction processing
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1Priority
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts1:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1ChainType
          description: The blockchain type for Solana Virtual Machine
        base:
          type: string
          format: int64
          description: The base transaction fee in lamports for Solana
        priority:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf1Priority
            - type: 'null'
          description: The priority fee in lamports for faster transaction processing
        total:
          type: string
          format: int64
          description: The total fee in lamports (base + priority)
      required:
        - chainType
        - base
        - priority
        - total
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts1
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf2ChainType:
      type: string
      enum:
        - tvm
      description: The blockchain type for Tron Virtual Machine
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf2ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts2:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCostsOneOf2ChainType
          description: The blockchain type for Tron Virtual Machine
        energyFee:
          type: string
          format: int64
          description: The energy fee in sun for the Tron transaction
        bandwidthFee:
          type: string
          format: int64
          description: The bandwidth fee in sun for the Tron transaction
        total:
          type: string
          format: int64
          description: The total network fee in sun (energyFee + bandwidthFee)
      required:
        - chainType
        - energyFee
        - bandwidthFee
        - total
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts2
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts0
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts1
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts2
      description: >-
        Estimated gas costs for executing the transaction on the origin chain,
        formatted by chain type
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf0Type:
      type: string
      enum:
        - wrap
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf0Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems0:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf0Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - type
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems0
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf1Type:
      type: string
      enum:
        - unwrap
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf1Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems1:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf1Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - type
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems1
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf2Type:
      type: string
      enum:
        - swap
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf2Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf2Type
        chainId:
          type: number
          format: double
          description: The chain ID where this swap will be executed
        sellToken:
          type: string
          description: The input token address for this swap
        buyToken:
          type: string
          description: The output token address for this swap
        sellAmount:
          type: string
          format: int64
          description: The input amount for this swap in token base units
        buyAmount:
          type: string
          format: int64
          description: The output amount for this swap in token base units
        minBuyAmount:
          type: string
          format: int64
          description: The minimum output amount for this swap in token base units
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this swap step to complete
      required:
        - type
        - chainId
        - sellToken
        - buyToken
        - sellAmount
        - buyAmount
        - minBuyAmount
        - estimatedTimeSeconds
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems2
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3Type:
      type: string
      enum:
        - bridge
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3SellToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The token address on the origin chain
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3SellToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3BuyToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The token address on the destination chain
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3BuyToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3Type
        originChainId:
          type: number
          format: double
          description: The chain ID where tokens will be sent from
        destinationChainId:
          type: number
          format: double
          description: The chain ID where tokens will be received
        sellToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3SellToken
          description: The token address on the origin chain
        buyToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItemsOneOf3BuyToken
          description: The token address on the destination chain
        sellAmount:
          type: string
          format: int64
          description: >-
            The amount of tokens to bridge from the origin chain in token base
            units
        buyAmount:
          type: string
          format: int64
          description: >-
            The amount of tokens to be received on the destination chain in
            token base units
        minBuyAmount:
          type: string
          format: int64
          description: >-
            The minimum amount of tokens guaranteed on the destination chain in
            token base units
        provider:
          type: string
          description: The bridge provider name handling this cross-chain transfer
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this bridge step to complete
      required:
        - type
        - originChainId
        - destinationChainId
        - sellToken
        - buyToken
        - sellAmount
        - buyAmount
        - minBuyAmount
        - provider
        - estimatedTimeSeconds
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems3
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems0
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems1
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems2
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems3
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0ChainType:
      type: string
      enum:
        - evm
      description: The blockchain type for Ethereum-compatible chains
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGas:
      type: object
      properties: {}
      description: The estimated gas limit required for successful transaction execution
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGas
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGasPrice:
      type: object
      properties: {}
      description: The gas price in wei for the EVM transaction
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGasPrice
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0Details:
      type: object
      properties:
        to:
          type: string
          description: The contract address to send the transaction to on the EVM chain
        data:
          type: string
          description: The calldata containing execution details for the EVM transaction
        gas:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGas
            - type: 'null'
          description: >-
            The estimated gas limit required for successful transaction
            execution
        gasPrice:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0DetailsGasPrice
            - type: 'null'
          description: The gas price in wei for the EVM transaction
        value:
          type: string
          format: int64
          description: The amount of native currency in wei to send with the transaction
      required:
        - to
        - data
        - gas
        - gasPrice
        - value
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0Details
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction0:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0ChainType
          description: The blockchain type for Ethereum-compatible chains
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf0Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction0
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1ChainType:
      type: string
      enum:
        - svm
      description: The blockchain type for Solana Virtual Machine
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1Details:
      type: object
      properties:
        serializedTransaction:
          type: string
          description: The base64-encoded serialized Solana transaction
      required:
        - serializedTransaction
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1Details
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction1:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1ChainType
          description: The blockchain type for Solana Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf1Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction1
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2ChainType:
      type: string
      enum:
        - tvm
      description: The blockchain type for Tron Virtual Machine
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2ChainType
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2Details:
      type: object
      properties:
        to:
          type: string
          description: The Tron contract address to interact with
        data:
          type: string
          description: The calldata for the Tron smart contract call
        value:
          type: string
          format: int64
          description: The amount of TRX in sun to send with the transaction
        ownerAddress:
          type: string
          description: The Tron address of the transaction sender
        memo:
          type: string
          description: Optional memo attached to the Tron transaction
      required:
        - to
        - data
        - value
        - ownerAddress
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2Details
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction2:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2ChainType
          description: The blockchain type for Tron Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransactionOneOf2Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction2
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction0
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction1
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction2
      description: >-
        The transaction details to execute on the origin chain to initiate the
        cross-chain swap
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowanceSpender:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The address to set the allowance on
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowanceSpender
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowance:
      type: object
      properties:
        actual:
          type: string
          format: int64
          description: The `originAddress`'s current allowance of the `spender`
        spender:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowanceSpender
          description: The address to set the allowance on
      required:
        - actual
        - spender
      description: >-
        The allowances that the `originAddress` must set in order to execute the
        swap successfully. Null if no allowance is required
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowance
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalanceToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the `sellToken`
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalanceToken
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalance:
      type: object
      properties:
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalanceToken
          description: The contract address of the `sellToken`
        actual:
          type: string
          format: int64
          description: The current balance of `sellToken` in the `originAddress` address
        expected:
          type: string
          format: int64
          description: >-
            The balance of `sellToken` required for the swap to execute
            successfully
      required:
        - token
        - actual
        - expected
      description: >-
        The balance of `sellToken` that the `originAddress` must hold. Null if
        the `originAddress` has sufficient balance
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalance
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssues:
      type: object
      properties:
        allowance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesAllowance
            - type: 'null'
          description: >-
            The allowances that the `originAddress` must set in order to execute
            the swap successfully. Null if no allowance is required
        balance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssuesBalance
            - type: 'null'
          description: >-
            The balance of `sellToken` that the `originAddress` must hold. Null
            if the `originAddress` has sufficient balance
        simulationIncomplete:
          type: boolean
          description: >-
            This is set to `true` when 0x cannot validate the transaction. This
            happens when the `originAddress` has an insufficient balance of
            `sellToken` and 0x is unable to perform enhanced quote validation
            with such low balance. Note that this does not necessarily mean that
            the trade will revert
      required:
        - allowance
        - balance
        - simulationIncomplete
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssues
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuote:
      type: object
      properties:
        sellAmount:
          type: string
          format: int64
          description: >-
            The amount of sellToken (in sellToken base units) required on the
            origin chain
        buyAmount:
          type: string
          format: int64
          description: >-
            The estimated amount of `buyToken` (in `buyToken`'s base units) to
            be received on the destination chain
        minBuyAmount:
          type: string
          format: int64
          description: >-
            The minimum amount of buyToken guaranteed across the entire
            cross-chain quote. This price is influenced by the `slippageBps`
            parameter
        fees:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteFees
          description: >-
            All fees associated with this cross-chain quote, including
            integrator fees, 0x protocol fees, and bridge native fees
        gasCosts:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteGasCosts
          description: >-
            Estimated gas costs for executing the transaction on the origin
            chain, formatted by chain type
        steps:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteStepsItems
          description: >-
            Sequential steps required to complete the cross-chain swap,
            including wrapping, swaps, and bridge operations
        transaction:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteTransaction
          description: >-
            The transaction details to execute on the origin chain to initiate
            the cross-chain swap
        estimatedTimeSeconds:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Estimated total time in seconds for the cross-chain swap to
            complete, including bridge confirmation time
        issues:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuoteIssues
        quoteId:
          type: string
          description: The unique ID for this cross-chain quote
      required:
        - sellAmount
        - buyAmount
        - minBuyAmount
        - fees
        - gasCosts
        - steps
        - transaction
        - estimatedTimeSeconds
        - issues
        - quoteId
      description: >-
        The cross-chain quote details including steps, fees, and transaction
        information
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuote
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Data:
      type: object
      properties:
        quote:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0DataQuote
          description: >-
            The cross-chain quote details including steps, fees, and transaction
            information
        allowanceTarget:
          type: string
          description: >-
            The contract address that needs token allowance approval for this
            quote
      required:
        - quote
      description: The quote data containing swap details and allowance information
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Data
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Type
          description: Event type indicating a new quote has been found
        data:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf0Data
          description: The quote data containing swap details and allowance information
      required:
        - type
        - data
      title: CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent0
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Type:
      type: string
      enum:
        - result
      description: Event type indicating the final result of the quote search
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Type
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Data:
      type: object
      properties:
        liquidityAvailable:
          type: boolean
          description: Whether any liquidity was found for the requested cross-chain swap
      required:
        - liquidityAvailable
      description: The final result indicating whether any liquidity was available
      title: >-
        CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Data
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Type
          description: Event type indicating the final result of the quote search
        data:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEventOneOf1Data
          description: The final result indicating whether any liquidity was available
      required:
        - type
        - data
      title: CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent1
    CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent0
        - $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent1
      description: The streaming event containing either quote data or final result
      title: CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent
    Cross-Chain_crossChain::streamQuotes_Response_200:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        event:
          $ref: >-
            #/components/schemas/CrossChainQuotesStreamGetResponsesContentApplicationJsonSchemaEvent
          description: The streaming event containing either quote data or final result
      required:
        - zid
        - event
      description: >-
        A Server-Sent Event containing cross-chain quote information as it
        becomes available
      title: Cross-Chain_crossChain::streamQuotes_Response_200
    InputInvalidName:
      type: string
      enum:
        - INPUT_INVALID
      title: InputInvalidName
    InputInvalidDataDetailsItems:
      type: object
      properties:
        field:
          type: string
          description: The input field name
        reason:
          type: string
          description: The validation failure reason
      required:
        - field
        - reason
      title: InputInvalidDataDetailsItems
    InputInvalidData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        details:
          type: array
          items:
            $ref: '#/components/schemas/InputInvalidDataDetailsItems'
          description: The list of invalid inputs
      required:
        - zid
        - details
      title: InputInvalidData
    INPUT_INVALID:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InputInvalidName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InputInvalidData'
      required:
        - name
        - message
        - data
      title: INPUT_INVALID
    CrossChain::streamQuotesRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/INPUT_INVALID'
      title: CrossChain::streamQuotesRequestBadRequestError
    InternalServerErrorName:
      type: string
      enum:
        - INTERNAL_SERVER_ERROR
      title: InternalServerErrorName
    InternalServerErrorData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: InternalServerErrorData
    INTERNAL_SERVER_ERROR:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InternalServerErrorName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InternalServerErrorData'
      required:
        - name
        - message
        - data
      title: INTERNAL_SERVER_ERROR
    UncategorizedName:
      type: string
      enum:
        - UNCATEGORIZED
      title: UncategorizedName
    UncategorizedData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: UncategorizedData
    UNCATEGORIZED:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/UncategorizedName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/UncategorizedData'
      required:
        - name
        - message
        - data
      title: UNCATEGORIZED
    CrossChain::streamQuotesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/INTERNAL_SERVER_ERROR'
        - $ref: '#/components/schemas/UNCATEGORIZED'
      title: CrossChain::streamQuotesRequestInternalServerError

```

## SDK Code Examples

```python Cross-Chain_crossChain::streamQuotes_example
import requests

url = "https://api.0x.org/cross-chain/quotes/stream"

querystring = {"originChain":"8453","destinationChain":"42161","sellToken":"0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf","buyToken":"0xaf88d065e77c8cc2239327c5edb3a432268e5831","sellAmount":"2570","originAddress":"0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C","destinationAddress":"0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C"}

headers = {"0x-api-key": "0x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Cross-Chain_crossChain::streamQuotes_example
const url = 'https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C';
const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Cross-Chain_crossChain::streamQuotes_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("0x-api-key", "0x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Cross-Chain_crossChain::streamQuotes_example
require 'uri'
require 'net/http'

url = URI("https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["0x-api-key"] = '0x-api-key'

response = http.request(request)
puts response.read_body
```

```java Cross-Chain_crossChain::streamQuotes_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C")
  .header("0x-api-key", "0x-api-key")
  .asString();
```

```php Cross-Chain_crossChain::streamQuotes_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C', [
  'headers' => [
    '0x-api-key' => '0x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Cross-Chain_crossChain::streamQuotes_example
using RestSharp;

var client = new RestClient("https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C");
var request = new RestRequest(Method.GET);
request.AddHeader("0x-api-key", "0x-api-key");
IRestResponse response = client.Execute(request);
```

```swift Cross-Chain_crossChain::streamQuotes_example
import Foundation

let headers = ["0x-api-key": "0x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/cross-chain/quotes/stream?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```